﻿
@{
    ViewBag.Title = "Live";
    Layout = "~/Views/Shared/_Layout.cshtml";
}
@Scripts.Render("~/bundles/jquery")
@Scripts.Render("~/bundles/jsChartCore")
@Scripts.Render("~/Scripts/App/jsStocks-liveData.js")

<style>
    .form-horizontal .control-label,
    .form-horizontal .form-control {
        display: inline-block;
    }
</style>

<h2>Google Live Stock Prices</h2>
<div class="row" style="background-color:#eee;border-radius:.5em;margin-bottom:1em;padding:.5em 1em;">
    <div class="form-horizontal">
        <label class="control-label">Update Frequency</label>
        <input data-bind="value: updateFreqMs" class="form-control" />
        <small>milliseconds</small>
    </div>
</div>
<div class="row">
    <div id="chart" data-bind="stockHistoryChart: selectedData"></div>

    <script>
        // Knockout bindings are applied and maintained over the document when everything is loaded.
        // There is an opportunity to inject a specialized data source into the jsChartVm model on init.
        ko.applyBindings(new jsChartVm(new jsStocksLiveData(), function () {
            this.update();
            this.updateFreqMs(3000); // Start automatically updating.
        }));
    </script>
</div>
